/**
 * The contents of this file are subject to the BT "ZEUS" Open Source 
 * Licence (L77741), Version 1.0 (the "Licence"); you may not use this file 
 * except in compliance with the Licence. You may obtain a copy of the Licence
 * from $ZEUS_INSTALL/licence.html or alternatively from
 * http://www.labs.bt.com/projects/agents/zeus/licence.htm
 * 
 * Except as stated in Clause 7 of the Licence, software distributed under the
 * Licence is distributed WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the Licence for the specific language governing rights and 
 * limitations under the Licence.
 * 
 * The Original Code is within the package zeus.*.
 * The Initial Developer of the Original Code is British Telecommunications
 * public limited company, whose registered office is at 81 Newgate Street, 
 * London, EC1A 7AJ, England. Portions created by British Telecommunications 
 * public limited company are Copyright 1996-9. All Rights Reserved.
 * 
 * THIS NOTICE MUST BE INCLUDED ON ANY COPY OF THIS FILE
 */

package zeus.util;

/**
 * 
 * Assert.java<br>
 * This class under GPL v1, has been modified and commented by <a
 * href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 * href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a> to be
 * compliant with Java 1.5.<br>
 * <br>
 * 
 * This class offer some method to assert the property of an parameter/value
 * 
 * 
 * Modification Date : Jul 18, 2007 4:35:39 PM
 */
public class Assert {
	/**
	 * Assert that the given boolean is not false
	 * 
	 * @param b
	 *            the boolean to test
	 * @throws IllegalArgumentException
	 *             thrown if the boolean break the property "not false"
	 */
	static public void notFalse(boolean b) throws IllegalArgumentException {
		if (b == false)
			throw new IllegalArgumentException("boolean expression false");
	}

	/**
	 * Assert that the given parameter is not null
	 * 
	 * @param obj
	 *            the object to test
	 * @throws IllegalArgumentException
	 *             thrown if the objcet break the property "not null"
	 */
	static public void notNull(Object obj) throws IllegalArgumentException {
		if (obj == null)
			throw new IllegalArgumentException("null argument");
	}

	/**
	 * Assert that the given boolean is not false
	 * 
	 * @param b
	 *            the boolean to test
	 * @param s
	 *            the message to give for the exception
	 * @throws IllegalArgumentException
	 *             thrown if the boolean break the property "not false"
	 */
	static public void notFalse(boolean b, String s)
			throws IllegalArgumentException {
		if (b == false)
			throw new IllegalArgumentException(s);
	}

	/**
	 * Assert that the given parameter is not null
	 * 
	 * @param obj
	 *            the object to test
	 * @param s
	 *            the message to give for the exception
	 * @throws IllegalArgumentException
	 *             thrown if the objcet break the property "not null"
	 */
	static public void notNull(Object obj, String s)
			throws IllegalArgumentException {
		if (obj == null)
			throw new IllegalArgumentException(s);
	}
}
