/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.junittest;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

/**
 * AllTests.java<br>
 * 
 * This class permit to launch all the junit tests.
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Apr 17, 2007 4:33:05 PM
 */
@RunWith(Suite.class)
@SuiteClasses(value = {
		fr.inria.icocoa.junittest.servicemodel.InputTest.class,
		fr.inria.icocoa.junittest.servicemodel.OutputTest.class,
		fr.inria.icocoa.junittest.servicemodel.IOTest.class,
		fr.inria.icocoa.junittest.servicemodel.GroundingPropertyTest.class,
		fr.inria.icocoa.junittest.servicemodel.ControlConstructTest.class,
		fr.inria.icocoa.junittest.servicemodel.ParameterBindingTest.class,
		fr.inria.icocoa.junittest.servicemodel.CapabilityTest.class,
		fr.inria.icocoa.junittest.servicemodel.ServiceTest.class,
		fr.inria.icocoa.junittest.common.ToolsTest.class,
		fr.inria.icocoa.junittest.servicemodel.domparser.ConcurrentDataMapTest.class,
		fr.inria.icocoa.junittest.servicemodel.semantictype.encryptionmanagement.toolobjects.NodeTest.class,
		//fr.inria.icocoa.junittest.servicemodel.domparser.ParserTest.class,
		fr.inria.icocoa.junittest.servicemodel.matching.SyntaxicMatcherTest.class})
public class AllTests {

}
