/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.junittest.servicemodel;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

import fr.inria.icocoa.exception.SemanticTypeNotKnowException;
import fr.inria.icocoa.servicemodel.Input;
import fr.inria.icocoa.servicemodel.matching.Matcher;
import fr.inria.icocoa.servicemodel.matching.MatchingType;
import fr.inria.icocoa.servicemodel.matching.SyntacticMatcher;

/**
 * IOTest.java<br>
 * 
 * This class contains tests for the class
 * {@link fr.inria.icocoa.servicemodel.IO}
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : May 23, 2007 11:11:58 AM
 */
public class IOTest {

	private Matcher matcher = new SyntacticMatcher();


	/**
	 * Test matching at IOLevel
	 * 
	 * @throws SemanticTypeNotKnowException
	 */
	@Test
	public final void testExactMatch() throws SemanticTypeNotKnowException {
		Input in1 = new Input("b1", "http://www.inria.fr/myPiOntology.owl#PI");

		assertTrue("test exact match false", in1.match(
				"http://www.inria.fr/myPiOntology.owl#PI2", matcher) == MatchingType.FAIL);
		
		assertTrue("test exact match true", in1.match(
				"http://www.inria.fr/myPiOntology.owl#PI", matcher) == MatchingType.EXACT);
	
	}
	
	
	

}
