/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.junittest.servicemodel.semantictype.encryptionmanagement.toolobjects;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.junit.Test;

import fr.inria.icocoa.servicemodel.parsers.ServiceParser;
import fr.inria.icocoa.servicemodel.semantictype.Code;
import fr.inria.icocoa.servicemodel.semantictype.EncodedSemanticType;
import fr.inria.icocoa.servicemodel.semantictype.PrimeNumberEncodedSemanticType;
import fr.inria.icocoa.servicemodel.semantictype.SemanticTypeFactory;
import fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.toolobjects.Node;

/**
 * NodeTest.java
 *
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Apr 7, 2008 4:52:53 PM
 */
public class NodeTest {

	/**
	 * Test method for {@link fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.toolobjects.Node#getAllLeave()}.
	 * @throws IllegalAccessException 
	 * @throws InstantiationException 
	 */
	@Test
	public final void testGetAllLeave() throws InstantiationException, IllegalAccessException {
		
		//create list of ontologies to load
		List<String> ontologyToLoad = new ArrayList<String>();
		ontologyToLoad.add("http://www.inria.fr/myPiOntology.owl");
	
		Map<String, List<Code>> result = (new PrimeNumberEncodedSemanticType()).getAssociatedEncoder().newInstance().encode(ontologyToLoad);
	}

	/**
	 * Test method for {@link fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.toolobjects.Node#compareCodes(fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.toolobjects.Node)}.
	 */
	@Test
	public final void testCompareCodes() {
		// TODO
	}

	/**
	 * Test method for {@link fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.toolobjects.Node#synchroniseCodes(fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.toolobjects.Node)}.
	 */
	@Test
	public final void testSynchroniseCodes() {
		Node n1 =  new Node("http://www.inria.fr/myPiOntology.owl#SemCapaChildChildChild1");
		Node n2 = new Node("http://www.inria.fr/myPiOntology.owl#SemCapaChildChildChild1");
		
		n1.synchroniseCodes(n2);
	}

}
